diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/alter_extension_schema.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/alter_extension_schema.sql
new file mode 100644
index 0000000..151ead4
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/alter_extension_schema.sql
@@ -0,0 +1,7 @@
+-- Extension: sslinfo
+
+-- DROP EXTENSION sslinfo;
+
+CREATE EXTENSION sslinfo
+    SCHEMA public
+    VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/alter_extension_version.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/alter_extension_version.sql
new file mode 100644
index 0000000..96c5bf4
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/alter_extension_version.sql
@@ -0,0 +1,7 @@
+-- Extension: citext
+
+-- DROP EXTENSION citext;
+
+CREATE EXTENSION citext
+    SCHEMA public
+    VERSION "1.1";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/create_extension_with_all_options.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/create_extension_with_all_options.sql
new file mode 100644
index 0000000..b749294
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/create_extension_with_all_options.sql
@@ -0,0 +1,7 @@
+-- Extension: sslinfo
+
+-- DROP EXTENSION sslinfo;
+
+CREATE EXTENSION sslinfo
+    SCHEMA test_extension_schema
+    VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/create_extension_with_default_schema.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/create_extension_with_default_schema.sql
new file mode 100644
index 0000000..aab2fa8
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/create_extension_with_default_schema.sql
@@ -0,0 +1,7 @@
+-- Extension: citext
+
+-- DROP EXTENSION citext;
+
+CREATE EXTENSION citext
+    SCHEMA public
+    VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/tests.json b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/tests.json
new file mode 100644
index 0000000..4f6fcfb
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/tests.json
@@ -0,0 +1,59 @@
+{
+  "scenarios": [
+    {
+      "type": "create",
+      "name": "Create Extension with all options",
+      "endpoint": "NODE-extension.obj",
+      "sql_endpoint": "NODE-extension.sql_id",
+      "data": {
+        "name": "sslinfo",
+        "schema": "test_extension_schema",
+        "version": "1.0"
+      },
+      "expected_sql_file": "create_extension_with_all_options.sql"
+    },
+    {
+      "type": "alter",
+      "name": "Alter Extension version",
+      "endpoint": "NODE-extension.obj_id",
+      "sql_endpoint": "NODE-extension.sql_id",
+      "data": {
+        "schema": "public"
+      },
+      "expected_sql_file": "alter_extension_schema.sql"
+    },
+    {
+      "type": "delete",
+      "name": "Drop Extension with all options",
+      "endpoint": "NODE-extension.obj_id",
+      "data": {}
+    },
+    {
+      "type": "create",
+      "name": "Create Extension with default schema",
+      "endpoint": "NODE-extension.obj",
+      "sql_endpoint": "NODE-extension.sql_id",
+      "data": {
+        "name": "citext",
+        "version": "1.0"
+      },
+      "expected_sql_file": "create_extension_with_default_schema.sql"
+    },
+    {
+      "type": "alter",
+      "name": "Alter Extension version",
+      "endpoint": "NODE-extension.obj_id",
+      "sql_endpoint": "NODE-extension.sql_id",
+      "data": {
+        "version": "1.1"
+      },
+      "expected_sql_file": "alter_extension_version.sql"
+    },
+    {
+      "type": "delete",
+      "name": "Drop Extension default schema",
+      "endpoint": "NODE-extension.obj_id",
+      "data": {}
+    }
+  ]
+}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/alter_extension_schema.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/alter_extension_schema.sql
new file mode 100644
index 0000000..151ead4
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/alter_extension_schema.sql
@@ -0,0 +1,7 @@
+-- Extension: sslinfo
+
+-- DROP EXTENSION sslinfo;
+
+CREATE EXTENSION sslinfo
+    SCHEMA public
+    VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/create_extension_with_all_options.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/create_extension_with_all_options.sql
new file mode 100644
index 0000000..b749294
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/create_extension_with_all_options.sql
@@ -0,0 +1,7 @@
+-- Extension: sslinfo
+
+-- DROP EXTENSION sslinfo;
+
+CREATE EXTENSION sslinfo
+    SCHEMA test_extension_schema
+    VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/tests.json b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/tests.json
new file mode 100644
index 0000000..bee44eb
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/tests.json
@@ -0,0 +1,32 @@
+{
+  "scenarios": [
+    {
+      "type": "create",
+      "name": "Create Extension with all options",
+      "endpoint": "NODE-extension.obj",
+      "sql_endpoint": "NODE-extension.sql_id",
+      "data": {
+        "name": "sslinfo",
+        "schema": "test_extension_schema",
+        "version": "1.0"
+      },
+      "expected_sql_file": "create_extension_with_all_options.sql"
+    },
+    {
+      "type": "alter",
+      "name": "Alter Extension version",
+      "endpoint": "NODE-extension.obj_id",
+      "sql_endpoint": "NODE-extension.sql_id",
+      "data": {
+        "schema": "public"
+      },
+      "expected_sql_file": "alter_extension_schema.sql"
+    },
+    {
+      "type": "delete",
+      "name": "Drop Extension with all options",
+      "endpoint": "NODE-extension.obj_id",
+      "data": {}
+    }
+  ]
+}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/alter_extension_schema.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/alter_extension_schema.sql
new file mode 100644
index 0000000..37c620c
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/alter_extension_schema.sql
@@ -0,0 +1,7 @@
+-- Extension: sslinfo
+
+-- DROP EXTENSION sslinfo;
+
+CREATE EXTENSION sslinfo
+    SCHEMA public
+    VERSION "1.2";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/alter_extension_version.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/alter_extension_version.sql
new file mode 100644
index 0000000..6d193fb
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/alter_extension_version.sql
@@ -0,0 +1,7 @@
+-- Extension: adminpack
+
+-- DROP EXTENSION adminpack;
+
+CREATE EXTENSION adminpack
+    SCHEMA pg_catalog
+    VERSION "1.1";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/create_extension_with_all_options.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/create_extension_with_all_options.sql
new file mode 100644
index 0000000..fc8fc10
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/create_extension_with_all_options.sql
@@ -0,0 +1,7 @@
+-- Extension: sslinfo
+
+-- DROP EXTENSION sslinfo;
+
+CREATE EXTENSION sslinfo
+    SCHEMA test_extension_schema
+    VERSION "1.2";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/create_extension_with_default_schema.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/create_extension_with_default_schema.sql
new file mode 100644
index 0000000..a9a61d4
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/create_extension_with_default_schema.sql
@@ -0,0 +1,7 @@
+-- Extension: adminpack
+
+-- DROP EXTENSION adminpack;
+
+CREATE EXTENSION adminpack
+    SCHEMA pg_catalog
+    VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/tests.json b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/tests.json
new file mode 100644
index 0000000..e50ee24
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/tests.json
@@ -0,0 +1,59 @@
+{
+  "scenarios": [
+    {
+      "type": "create",
+      "name": "Create Extension with all options",
+      "endpoint": "NODE-extension.obj",
+      "sql_endpoint": "NODE-extension.sql_id",
+      "data": {
+        "name": "sslinfo",
+        "schema": "test_extension_schema",
+        "version": "1.2"
+      },
+      "expected_sql_file": "create_extension_with_all_options.sql"
+    },
+    {
+      "type": "alter",
+      "name": "Alter Extension version",
+      "endpoint": "NODE-extension.obj_id",
+      "sql_endpoint": "NODE-extension.sql_id",
+      "data": {
+        "schema": "public"
+      },
+      "expected_sql_file": "alter_extension_schema.sql"
+    },
+    {
+      "type": "delete",
+      "name": "Drop Extension with all options",
+      "endpoint": "NODE-extension.obj_id",
+      "data": {}
+    },
+    {
+      "type": "create",
+      "name": "Create Extension with default schema",
+      "endpoint": "NODE-extension.obj",
+      "sql_endpoint": "NODE-extension.sql_id",
+      "data": {
+        "name": "adminpack",
+        "version": "1.0"
+      },
+      "expected_sql_file": "create_extension_with_default_schema.sql"
+    },
+    {
+      "type": "alter",
+      "name": "Alter Extension version",
+      "endpoint": "NODE-extension.obj_id",
+      "sql_endpoint": "NODE-extension.sql_id",
+      "data": {
+        "version": "1.1"
+      },
+      "expected_sql_file": "alter_extension_version.sql"
+    },
+    {
+      "type": "delete",
+      "name": "Drop Extension default schema",
+      "endpoint": "NODE-extension.obj_id",
+      "data": {}
+    }
+  ]
+}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/default/alter_extension_schema.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/default/alter_extension_schema.sql
deleted file mode 100644
index 37c620c..0000000
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/default/alter_extension_schema.sql
+++ /dev/null
@@ -1,7 +0,0 @@
--- Extension: sslinfo
-
--- DROP EXTENSION sslinfo;
-
-CREATE EXTENSION sslinfo
-    SCHEMA public
-    VERSION "1.2";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/default/alter_extension_version.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/default/alter_extension_version.sql
deleted file mode 100644
index 6d193fb..0000000
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/default/alter_extension_version.sql
+++ /dev/null
@@ -1,7 +0,0 @@
--- Extension: adminpack
-
--- DROP EXTENSION adminpack;
-
-CREATE EXTENSION adminpack
-    SCHEMA pg_catalog
-    VERSION "1.1";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/default/create_extension_with_all_options.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/default/create_extension_with_all_options.sql
deleted file mode 100644
index fc8fc10..0000000
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/default/create_extension_with_all_options.sql
+++ /dev/null
@@ -1,7 +0,0 @@
--- Extension: sslinfo
-
--- DROP EXTENSION sslinfo;
-
-CREATE EXTENSION sslinfo
-    SCHEMA test_extension_schema
-    VERSION "1.2";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/default/create_extension_with_default_schema.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/default/create_extension_with_default_schema.sql
deleted file mode 100644
index a9a61d4..0000000
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/default/create_extension_with_default_schema.sql
+++ /dev/null
@@ -1,7 +0,0 @@
--- Extension: adminpack
-
--- DROP EXTENSION adminpack;
-
-CREATE EXTENSION adminpack
-    SCHEMA pg_catalog
-    VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/default/tests.json b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/default/tests.json
deleted file mode 100644
index c289349..0000000
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/default/tests.json
+++ /dev/null
@@ -1,59 +0,0 @@
-{
-  "scenarios": [
-    {
-      "type": "create",
-      "name": "Create Extension with all options",
-      "endpoint": "NODE-extension.obj",
-      "sql_endpoint": "NODE-extension.sql_id",
-      "data": {
-        "name": "sslinfo",
-        "schema": "test_extension_schema",
-        "version": "1.2"
-      },
-      "expected_sql_file": "create_extension_with_all_options.sql"
-    },
-    {
-      "type": "alter",
-      "name": "Alter Extension version",
-      "endpoint": "NODE-extension.obj_id",
-      "sql_endpoint": "NODE-extension.sql_id",
-      "data": {
-        "schema": "public"
-      },
-      "expected_sql_file": "alter_extension_schema.sql"
-    },
-    {
-      "type": "delete",
-      "name": "Drop Extension with all options",
-      "endpoint": "NODE-extension.obj_id",
-      "data": {}
-    },
-    {
-      "type": "create",
-      "name": "Create Extension with default(pg_catalog) schema",
-      "endpoint": "NODE-extension.obj",
-      "sql_endpoint": "NODE-extension.sql_id",
-      "data": {
-        "name": "adminpack",
-        "version": "1.0"
-      },
-      "expected_sql_file": "create_extension_with_default_schema.sql"
-    },
-    {
-      "type": "alter",
-      "name": "Alter Extension version",
-      "endpoint": "NODE-extension.obj_id",
-      "sql_endpoint": "NODE-extension.sql_id",
-      "data": {
-        "version": "1.1"
-      },
-      "expected_sql_file": "alter_extension_version.sql"
-    },
-    {
-      "type": "delete",
-      "name": "Drop Extension default(pg_catalog) schema",
-      "endpoint": "NODE-extension.obj_id",
-      "data": {}
-    }
-  ]
-}
